- [HTTP request](https://developers.google.com/my-business/reference/rest/v4/accounts.locations.media/create#body.HTTP_TEMPLATE)
- [Path parameters](https://developers.google.com/my-business/reference/rest/v4/accounts.locations.media/create#body.PATH_PARAMETERS)
- [Request body](https://developers.google.com/my-business/reference/rest/v4/accounts.locations.media/create#body.request_body)
- [Response body](https://developers.google.com/my-business/reference/rest/v4/accounts.locations.media/create#body.response_body)
- [Authorization Scopes](https://developers.google.com/my-business/reference/rest/v4/accounts.locations.media/create#body.aspect)

Creates a new media item for the location.

> [!NOTE]
> **Note: Profile and logo photo behavior**
>
> Uploading photos with category `PROFILE` or `LOGO` has several observed behaviors and limitations:
>
> - **Category mapping:** The `LOGO` category is deprecated and treated as an alias for `PROFILE`. Uploading a media item with category `LOGO` is automatically mapped to `PROFILE`, and the returned `MediaItem` will have its category set to `PROFILE`. Callers should use `PROFILE` directly.
> - **Resource name:** Profile photos are identified with the fixed resource name `accounts/{accountId}/locations/{locationId}/media/profile` rather than a unique media ID.
> - **Creation timestamp and dimensions:** For profile photos, `createTime` does not report the actual upload timestamp (returning the Unix epoch `1970-01-01T00:00:00Z`) and should be ignored, and photo `dimensions` (width and height) are not populated.
> - **Source URL:** The original `sourceUrl` provided in the request is not retained in the response. Instead, `sourceUrl` is populated with a Google-hosted URL. Callers needing to retain the original source URL should track it externally.

### HTTP request

`POST https://mybusiness.googleapis.com/v4/{parent=accounts/*/locations/*}/media`

The URL uses [gRPC Transcoding](https://google.aip.dev/127) syntax.

### Path parameters

| Parameters ||
|---|---|
| `parent` | `string` The resource name of the location where this media item will be created. |

### Request body

The request body contains an instance of `https://developers.google.com/my-business/reference/rest/v4/accounts.locations.media#MediaItem`.

### Response body

If successful, the response body contains a newly created instance of `https://developers.google.com/my-business/reference/rest/v4/accounts.locations.media#MediaItem`.

### Authorization Scopes

Requires one of the following OAuth scopes:

- `https://www.googleapis.com/auth/plus.business.manage`
- `https://www.googleapis.com/auth/business.manage`

For more information, see the [OAuth 2.0 Overview](https://developers.google.com/identity/protocols/OAuth2).